Trunk doesn't build with gcc 4.7

2012-03-31 07:04 AM - Volker Fröhlich

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Linux, Fedora Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14998

Description

Trunk doesn't build with gcc 4.7, but builds with 4.6.

In the first case it complains:

/builddir/build/BUILD/qgis-1.8.0/src/app/main.cpp: In function 'void myMessageOutput(QtMsgType, const char*)':

/builddir/build/BUILD/qgis-1.8.0/src/app/main.cpp:203:44: error: 'STDERR_FILENO' was not declared in this scope

Please see my patch.

History

#1 - 2012-03-31 09:11 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#2 - 2012-04-02 12:19 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:c29fb5a and commit:8ae7651

Files

qgis-1.8.0-unistd.patch 333 Bytes 2012-03-31 Volker Fröhlich

2025-07-29 1/1


